Bug Hunting Session
Bug 37447 - Apply button function unintuitive, unpredictable
Summary: Apply button function unintuitive, unpredictable
Status: RESOLVED DUPLICATE of bug 38606
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.0 RC1
Hardware: x86 (IA32) Linux (All)
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-21 18:58 UTC by Eliane Domingos de Sousa
Modified: 2012-10-11 20:12 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eliane Domingos de Sousa 2011-05-21 18:58:49 UTC
Format->Page
1 - the cursor on the tab header
1 - click on the tab border
2 - select a color
3 - click on the apply button
4 - the cursor does not fix the tab border, it goes back to the tab header

See the video: https://docs.google.com/leaf?id=0Bzmb-ZecnWluMDQyNmJiM2QtM2E1OS00MTAwLTk4YjEtNDU1NzBlYjNhMjM3&hl=pt_BR
Comment 1 Rainer Bielefeld Retired 2011-05-22 00:48:04 UTC
NOT reproducible with "LibreOffice 3.4.0RC1  – WIN7  Home Premium  (64bit) German UI [OOO340m1 (Build:11)]", works as expected.

LibO localization or Linux related?

And indeed, the whole button thingy here is not very intuitive: 
a. Why do we need an Apply button here for the page borders, but not for the paragraph borders? 

b. Why are inactive buttons not greyed out? If nothing can be applied, <Ok> and <Apply> should be inactive, <Back> also if there has been no action.

d. Why do we have a <Cancel> button here, but <Close> in 'Find and replace' and 'Organize Macros'? 

I believe after investigations concerning the report we should start a review concerning UI button inconsistencies. 

@Eliane:
A. In your step by step instruction an item 1.1 "Select line arrangement except 'No borders'". with default selection 'No borders' it's the intended behavior that click on "Apply" does nothing. But in your movie I see that you selected line arrangement, so indeed borders should be applied.

B. I do not understand your item 4 "...  does not fix the tab border ...", please explain!

C. Please contribute complete information concerning your OS!
Comment 2 Rainer Bielefeld Retired 2011-05-31 00:47:08 UTC
It seems reported problem can not be solved because of reporter's inactivity. So here the problem that apply button is not intuitive remains
Comment 3 gibi 2011-07-17 09:35:46 UTC
@Rainer:
in Comment #1, about:

> B. I do not understand your item 4 "...  does not fix the tab border ...",

I guess that Eliane meaned that by clicking on "Apply" the view goes back to another tab while the expected behavior would be to stay on the current tab.

@all:
This "Apply" button has been introduced in 3.4.0 and the behavior described remains the same in 3.4.2rc1
Comment 4 Björn Michaelsen 2011-12-23 12:05:34 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 5 Florian Reisinger 2012-08-14 14:03:30 UTC
Dear bug submitter!

Due to the fact, that there are a lot of NEEDINFO bugs with no answer within the last six months, we close all of these bugs.

To keep this message short, more infos are available @ https://wiki.documentfoundation.org/QA/NeedinfoClosure#Statement

Thanks for understanding and hopefully updating your bug, so that everything is prepared for developers to fix your problem.

Yours!

Florian
Comment 6 Florian Reisinger 2012-08-14 14:04:26 UTC
Dear bug submitter!

Due to the fact, that there are a lot of NEEDINFO bugs with no answer within the last six months, we close all of these bugs.

To keep this message short, more infos are available @ https://wiki.documentfoundation.org/QA/NeedinfoClosure#Statement

Thanks for understanding and hopefully updating your bug, so that everything is prepared for developers to fix your problem.

Yours!

Florian
Comment 7 Florian Reisinger 2012-08-14 14:08:57 UTC
Dear bug submitter!

Due to the fact, that there are a lot of NEEDINFO bugs with no answer within the last six months, we close all of these bugs.

To keep this message short, more infos are available @ https://wiki.documentfoundation.org/QA/NeedinfoClosure#Statement

Thanks for understanding and hopefully updating your bug, so that everything is prepared for developers to fix your problem.

Yours!

Florian
Comment 8 Florian Reisinger 2012-08-14 14:10:58 UTC
Dear bug submitter!

Due to the fact, that there are a lot of NEEDINFO bugs with no answer within the last six months, we close all of these bugs.

To keep this message short, more infos are available @ https://wiki.documentfoundation.org/QA/NeedinfoClosure#Statement

Thanks for understanding and hopefully updating your bug, so that everything is prepared for developers to fix your problem.

Yours!

Florian
Comment 9 manj_k 2012-10-11 20:12:57 UTC
Related to 'Bug 38606 - Under Style and Formatting, clicking Apply always resets to initial tab'.

*** This bug has been marked as a duplicate of bug 38606 ***